package com.hotent.uc.model;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.hotent.base.entity.BaseModel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.time.LocalDateTime;
import java.time.LocalTime;

/**
 * @description  外部用户实体表
 * @author  yangzibin
 * @date    2023/12/28 17:18
 * @param	null
 * @return
 */
@JsonIgnoreProperties(ignoreUnknown = true)
@TableName("uc_external_user")
@ApiModel(description="外部系统部门表（钉钉、企微）")
public class OrgExternalUser extends BaseModel<OrgExternalUser> {
    /**
     * id_
     */
    @TableId("ID_")
    @ApiModelProperty(name="id",notes="id")
    protected String id;

    /**
     * 外部系统用户id
     */
    @TableField("EXTERNAL_USER_ID_")
    @ApiModelProperty(name="externalDeptId",notes="外部系统用户id")
    protected String externalUserId;

    /**
     * 外部系统用户id
     */
    @TableField("EXTERNAL_UNION_ID_")
    @ApiModelProperty(name="externalUnionId",notes="外部系统用户unionId")
    protected String externalUnionId;

    /**
     * 外部系统部门名称
     *
     *
     */
    @TableField("EXTERNAL_USER_NAME_")
    @ApiModelProperty(name="externalUserName",notes="外部系统用户姓名")
    protected String externalUserName;


    /**o
     * 系统内部用户id
     */
    @TableField("USER_ID_")
    @ApiModelProperty(name="userId",notes="系统内部用户id")
    protected String userId;
    /**
     * 类型（0=钉钉1=微信）
     */
    @TableField("TYPE_")
    @ApiModelProperty(name="type",notes="类型（0=钉钉1=微信）")
    protected String type;

    /**
     * 外部系统手机号
     */
    @TableField("EXTERNAL_MOBILE_")
    @ApiModelProperty(name="externalMobile",notes="外部系统手机号")
    protected String externalMobile;

    /**
     * 外部系统工号
     */
    @TableField("EXTERNAL_JOB_NUMBER_")
    @ApiModelProperty(name="externalJobNumber",notes="外部系统工号")
    protected String externalJobNumber;


    /**
     * 外部系统职位
     */
    @TableField("EXTERNAL_POST_")
    @ApiModelProperty(name="externalPost",notes="外部系统职位")
    protected String externalPost;

    /**
     * 租户id
     */
    @TableField("TENANT_ID_")
    @ApiModelProperty(name="tenantId",notes="租户id")
    protected String tenantId;

    /**
     * 组织id
     */
    @TableField("ORG_ID_")
    @ApiModelProperty(name="orgId",notes="组织id")
    protected String orgId;
    /**
     * 钉钉部门端删除标记
     */
    @TableField("DING_DELETE_")
    @ApiModelProperty(name="dingDelete",notes="钉钉部门端删除标记")
    protected String dingDelete;

    /**
     * 创建时间
     */
    @TableField("CREATE_TIME_")
    @ApiModelProperty(name="createTime",notes="创建时间")
    protected LocalDateTime createTime;

    /**
     * 更新时间
     */
    @TableField("UPDATE_TIME_")
    @ApiModelProperty(name="createTime",notes="更新时间")
    protected LocalDateTime updateTime;

    public String getExternalUnionId() {
        return externalUnionId;
    }

    public void setExternalUnionId(String externalUnionId) {
        this.externalUnionId = externalUnionId;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getExternalUserId() {
        return externalUserId;
    }

    public void setExternalUserId(String externalUserId) {
        this.externalUserId = externalUserId;
    }

    public String getExternalUserName() {
        return externalUserName;
    }

    public void setExternalUserName(String externalUserName) {
        this.externalUserName = externalUserName;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getExternalMobile() {
        return externalMobile;
    }

    public void setExternalMobile(String externalMobile) {
        this.externalMobile = externalMobile;
    }

    public String getExternalJobNumber() {
        return externalJobNumber;
    }

    public void setExternalJobNumber(String externalJobNumber) {
        this.externalJobNumber = externalJobNumber;
    }

    public String getExternalPost() {
        return externalPost;
    }

    public void setExternalPost(String externalPost) {
        this.externalPost = externalPost;
    }

    public String getTenantId() {
        return tenantId;
    }

    public void setTenantId(String tenantId) {
        this.tenantId = tenantId;
    }

    public LocalDateTime getCreateTime() {
        return createTime;
    }

    public void setCreateTime(LocalDateTime createTime) {
        this.createTime = createTime;
    }

    public LocalDateTime getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(LocalDateTime updateTime) {
        this.updateTime = updateTime;
    }

    public String getOrgId() {
        return orgId;
    }

    public void setOrgId(String orgId) {
        this.orgId = orgId;
    }

    public String getDingDelete() {
        return dingDelete;
    }

    public void setDingDelete(String dingDelete) {
        this.dingDelete = dingDelete;
    }
}
